summaryrefslogtreecommitdiffstats
path: root/tests/shell
diff options
context:
space:
mode:
authorPablo Neira Ayuso <pablo@netfilter.org>2018-05-23 12:46:05 +0200
committerPablo Neira Ayuso <pablo@netfilter.org>2018-05-23 13:02:32 +0200
commit0f60b462cdfe771900369719dcfcd1daca50ebae (patch)
treecc0764aeeadf61550a5c1894f839f90caf9191a0 /tests/shell
parente71e5a7be445e5ae436d62d7a32b3ac755d6ccd5 (diff)
tests: shell: chain dependency validation with maps
Just like 4b6fb07de07a ("tests: shell: more chain dependency validation") but test chain dependency in jumps from maps. Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell')
-rwxr-xr-xtests/shell/testcases/chains/0019masquerade_jump_110
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/shell/testcases/chains/0019masquerade_jump_1 b/tests/shell/testcases/chains/0019masquerade_jump_1
new file mode 100755
index 00000000..4fe68c84
--- /dev/null
+++ b/tests/shell/testcases/chains/0019masquerade_jump_1
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -e
+
+$NFT add table t
+$NFT add chain t input {type filter hook input priority 4 \; }
+$NFT add chain t c1
+$NFT add rule t input ip saddr vmap { 1.1.1.1 : jump c1 }
+# kernel should return EOPNOTSUPP
+$NFT add rule t c1 masquerade 2>/dev/null >&2